package com.yihu.jw.entity.specialist.rehabilitation;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IntegerIdentityEntity;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * create by hmf on 2020/02/27 居民住院病历
 */
@Entity
@Table(name = "wlyy_patient_medical_records_rehabilitation")
public class PatientMedicalRecordsDO extends UuidIdentityEntity {

    private String code;
    private String patient;//居民code
    private String patientName;//居民姓名
    private String hospital;//诊疗医院code
    private String hospitalName;//诊疗医院名称
    private String dischargeDiagnosis;//出院诊断code，多个用逗号隔开
    private String dischargeDiagnosisName;//出院诊断名称，多个用逗号隔开
    private String admittingDiagnosis;//入院诊断code，多个用逗号隔开
    private String admittingDiagnosisName;//入院诊断名称，多个用逗号隔开
    private String advice;//医嘱小结
    private Date admissionTime;//入院时间
    private Date dischargeTime;//出院时间
    private String images;//病历图片，多个用逗号隔开
    private Date createTime;//创建时间
    private String createUser;//创建者
    private String createUserName;//创建者
    private String event;//健康档案病历eventID
    private String dataFrom;//病历来源：1基位，2app，3中山医院，4智业六家医院
    private String jwpatient;//基位居民code 获取病历详情用
    private String diseaseCode;//专病code
    private String diseaseName;//专病名称
    private int  patientReadStatus;
    private int  doctorReadStatus;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getDischargeDiagnosis() {
        return dischargeDiagnosis;
    }

    public void setDischargeDiagnosis(String dischargeDiagnosis) {
        this.dischargeDiagnosis = dischargeDiagnosis;
    }

    public String getDischargeDiagnosisName() {
        return dischargeDiagnosisName;
    }

    public void setDischargeDiagnosisName(String dischargeDiagnosisName) {
        this.dischargeDiagnosisName = dischargeDiagnosisName;
    }

    public String getAdmittingDiagnosis() {
        return admittingDiagnosis;
    }

    public void setAdmittingDiagnosis(String admittingDiagnosis) {
        this.admittingDiagnosis = admittingDiagnosis;
    }

    public String getAdmittingDiagnosisName() {
        return admittingDiagnosisName;
    }

    public void setAdmittingDiagnosisName(String admittingDiagnosisName) {
        this.admittingDiagnosisName = admittingDiagnosisName;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }

    public String getAdvice() {
        return advice;
    }

    public void setAdvice(String advice) {
        this.advice = advice;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getAdmissionTime() {
        return admissionTime;
    }

    public void setAdmissionTime(Date admissionTime) {
        this.admissionTime = admissionTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getDischargeTime() {
        return dischargeTime;
    }

    public void setDischargeTime(Date dischargeTime) {
        this.dischargeTime = dischargeTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }

    public String getDataFrom() {
        return dataFrom;
    }

    public void setDataFrom(String dataFrom) {
        this.dataFrom = dataFrom;
    }

    public String getJwpatient() {
        return jwpatient;
    }

    public void setJwpatient(String jwpatient) {
        this.jwpatient = jwpatient;
    }

    @Column(name = "disease_code")
    public String getDiseaseCode() {
        return diseaseCode;
    }

    public void setDiseaseCode(String diseaseCode) {
        this.diseaseCode = diseaseCode;
    }

    @Column(name = "disease_name")
    public String getDiseaseName() {
        return diseaseName;
    }

    public void setDiseaseName(String diseaseName) {
        this.diseaseName = diseaseName;
    }

    @Column(name = "patient_read_status")
    public int getPatientReadStatus() {
        return patientReadStatus;
    }

    public void setPatientReadStatus(int patientReadStatus) {
        this.patientReadStatus = patientReadStatus;
    }

    @Column(name = "doctor_read_status")
    public int getDoctorReadStatus() {
        return doctorReadStatus;
    }

    public void setDoctorReadStatus(int doctorReadStatus) {
        this.doctorReadStatus = doctorReadStatus;
    }
}
